package cn.com.taiji.cql.model;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 船舶动态融合数据
 * @author lxg
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MergeDynamicShip implements Serializable {
    private static final long serialVersionUID = -7661996382540318133L;

    /**
     * 融合数据ID
     */
    private String mergeId;

    /**
     * 融合时间
     */
    private String mergeTime;

    /**
     * 船舶唯一标识
     */
    private String mergeTarget;

    /**
     * 地理空间数据
     */
    private String location;

    /**
     * 加冰加水状态
     */
    private Integer supplyIceWaterState;

    /**
     * 加油状态
     */
    private Integer refueledState;

    /**
     * 在航状态
     */
    private Integer motionState;

    /**
     * 目标(航迹)可信度
     */
    private Integer targetTypeReliability;

    /**
     * 港口状态
     */
    private Integer portState;

    /**
     * 目标分类
     */
    private Integer targetType;


    /**
     * 目标长度
     */
    private Double targetLength;

    /**
     * 目标航速
     */
    private Double targetSpeed;


    /**
     * (GIS)地图筛选专用字段
     */
    private Integer gisNationality;

    /**
     * (GIS)地图筛选专用字段
     */
    private Integer gisShipType;

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
    }
}
